# ###################################### RtAudio
if(LASP_HAS_PORTAUDIO)
    message("Building with Portaudio backend")
    if(WIN32)
        set(PA_USE_ALSA FALSE CACHE BOOL "Build PortAudio with ALSA backend")
    else()
        # Unix
        set(PA_USE_ALSA TRUE CACHE BOOL "Build PortAudio with ALSA backend")
        set(PA_USE_JACK FALSE CACHE BOOL "Build PortAudio with Jack backend")
        set(PA_USE_PULSEAUDIO FALSE CACHE BOOL "Build PortAudio with PulseAudio backend")
        set(PA_BUILD_SHARED_LIBS FALSE CACHE BOOL "Build static library")
    endif()

    add_subdirectory(third_party/portaudio)
    include_directories(third_party/portaudio/include)
    link_directories(third_party/portaudio)

    if(PA_USE_ALSA)
    add_definitions(-DLASP_HAS_PA_ALSA=1)
    else()
    add_definitions(-DLASP_HAS_PA_ALSA=0)
    endif()

endif()
